#include "device_screener.h"
#include <QDebug>
#include <QThread>

DeviceScreener::DeviceScreener(QObject* parent) : QObject(parent) {}

DeviceScreener::~DeviceScreener() = default;

void DeviceScreener::start() {
    qDebug() << "Worker started in thread:" << QThread::currentThread();
    while (m_running) {
        qDebug() << "Running in background...";
        QThread::sleep(2);
    }
    emit finished();
}

void DeviceScreener::stop() {
    m_running = false;
}